Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I have firefox 4.0 on a mac and yet even your site claims I have 3.6. What can be done to fix this?

more options

I upgraded from firefox 3.6.3 to firefox 4.0. For some reason the user agent value has not changed. This causes servers out there like google/etc. to claim I am out of date. Even the firefox educated guess is *wrong*. This is very annoying.

All Replies (2)

more options

Your More system details list shows that you override the user agent to Firefox/3.6.3 (rv:1.8.1.16 is from Firefox/2.0.0.16)

general.useragent.override

Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.16) Gecko/20080702 Firefox/3.6.3 GoogleToolbarFF

See:

Modified by cor-el

more options

Thank you. That is the problem. What I don't know and need to know however is how to fix it. How do I get rid of the 3.6.3 override?